| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::H2Grammar< Iterator, Skipper > Class Template Reference
Inheritance diagram for Gaudi::Parsers::H2Grammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::H2Grammar< Iterator, Skipper >:
[legend]

## Public Types
typedef H2 | ResultT

## Public Member Functions
| H2Grammar ()

## Public Attributes
StringGrammar< Iterator, Skipper > | name
StringGrammar< Iterator, Skipper > | title
EdgeGrammar< Iterator, Skipper > | edges
VectorGrammar< Iterator, std::vector< std::pair< double, double > >, Skipper > | bins
qi::rule< Iterator, H2(), qi::locals< char >, Skipper > | result
qi::rule< Iterator, H2(), Skipper > | inner
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end

## Detailed Description

### template<typename Iterator, typename Skipper>
class Gaudi::Parsers::H2Grammar< Iterator, Skipper >

Definition at line 120 of file HistoParsers.cpp.

## Member Typedef Documentation

## ◆ ResultT

template<typename Iterator , typename Skipper >

typedef H2 Gaudi::Parsers::H2Grammar< Iterator, Skipper >::ResultT

Definition at line 124 of file HistoParsers.cpp.

## Constructor & Destructor Documentation

## ◆ H2Grammar()

template<typename Iterator , typename Skipper >

Gaudi::Parsers::H2Grammar< Iterator, Skipper >::H2Grammar | ( |  | ) |
| inline

Definition at line 128 of file HistoParsers.cpp.

128 : H2Grammar::base_type( result ) {
129 inner = ( ( ( qi::lit( "name" ) | "'name'" | "\"name\"" ) >> ":" >> name[qi::_val *= qi::_1] ) |
130 ( ( qi::lit( "title" ) | "'title'" | "\"title\"" ) >> ":" >> title[qi::_val /= qi::_1] ) |
131 ( ( qi::lit( "X" ) | "'X'" | "\"X\"" | "x" | "'x'" | "\"x\"" ) >> ':' >> edges[qi::_val &= qi::_1] ) |
132 ( ( qi::lit( "Y" ) | "'Y'" | "\"Y\"" | "y" | "'y'" | "\"y\"" ) >> ':' >> edges[qi::_val |= qi::_1] ) |
133 ( ( qi::lit( "bins" ) | "'bins'" | "\"bins\"" ) >> ':' >> bins[qi::_val += qi::_1] ) ) %
134 ',';
135
136 begin =
137 enc::char_( '[' )[qi::_val = ']'] | enc::char_( '{' )[qi::_val = '}'] | enc::char_( '(' )[qi::_val = ')'];
138 end = enc::char_( qi::_r1 );
139 result = ( begin[qi::_a = qi::_1] >> inner[qi::_val = qi::_1] >> end( qi::_a ) ) | inner[qi::_val = qi::_1];
140 }
Gaudi::Parsers::H2Grammar::edges
EdgeGrammar< Iterator, Skipper > edges
Definition: HistoParsers.cpp:143
Gaudi::Parsers::H2Grammar::inner
qi::rule< Iterator, H2(), Skipper > inner
Definition: HistoParsers.cpp:146
Gaudi::Parsers::H2Grammar::begin
qi::rule< Iterator, char()> begin
Definition: HistoParsers.cpp:147
Gaudi::Parsers::H2Grammar::title
StringGrammar< Iterator, Skipper > title
Definition: HistoParsers.cpp:142
Gaudi::Parsers::H2Grammar::name
StringGrammar< Iterator, Skipper > name
Definition: HistoParsers.cpp:142
Gaudi::Parsers::H2Grammar::result
qi::rule< Iterator, H2(), qi::locals< char >, Skipper > result
Definition: HistoParsers.cpp:145
Gaudi::Parsers::H2Grammar::end
qi::rule< Iterator, void(char)> end
Definition: HistoParsers.cpp:148
Gaudi::Parsers::H2Grammar::bins
VectorGrammar< Iterator, std::vector< std::pair< double, double > >, Skipper > bins
Definition: HistoParsers.cpp:144

## Member Data Documentation

## ◆ begin

template<typename Iterator , typename Skipper >

qi::rule<Iterator, char()> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::begin

Definition at line 147 of file HistoParsers.cpp.

## ◆ bins

template<typename Iterator , typename Skipper >

VectorGrammar<Iterator, std::vector<std::pair<double, double> >, Skipper> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::bins

Definition at line 144 of file HistoParsers.cpp.

## ◆ edges

template<typename Iterator , typename Skipper >

EdgeGrammar<Iterator, Skipper> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::edges

Definition at line 143 of file HistoParsers.cpp.

## ◆ end

template<typename Iterator , typename Skipper >

qi::rule<Iterator, void( char )> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::end

Definition at line 148 of file HistoParsers.cpp.

## ◆ inner

template<typename Iterator , typename Skipper >

qi::rule<Iterator, H2(), Skipper> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::inner

Definition at line 146 of file HistoParsers.cpp.

## ◆ name

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::name

Definition at line 142 of file HistoParsers.cpp.

## ◆ result

template<typename Iterator , typename Skipper >

qi::rule<Iterator, H2(), qi::locals<char>, Skipper> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::result

Definition at line 145 of file HistoParsers.cpp.

## ◆ title

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::H2Grammar< Iterator, Skipper >::title

Definition at line 142 of file HistoParsers.cpp.

The documentation for this class was generated from the following file:

- GaudiUtils/src/Lib/HistoParsers.cpp